> ## Documentation Index
> Fetch the complete documentation index at: https://interfere.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve the surface a build-time key belongs to



## OpenAPI

````yaml https://api.interfere.com/openapi.json get /v3/releases/config
openapi: 3.0.0
info:
  title: Interfere API
  termsOfService: https://interfere.com/legal/terms-of-service
  contact:
    email: support@interfere.com
    name: Interfere Support
    url: https://interfere.com/~/*/settings/support
  license:
    name: All Rights Reserved
  description: >-
    Interfere empowers engineers, product managers and designers with real-time
    understanding of previously unseen bugs and issues.
  version: 3.0.0
servers:
  - url: https://api.interfere.com
    description: This environment
security: []
tags:
  - name: Drain
    description: Drain API
  - name: Releases
    description: Build-time release API
  - name: Replay
    description: Session replay chunk ingest API
  - name: Sessions
    description: Session and end-user identity API
  - name: Updates
    description: Desktop app update API
  - name: Traces
    description: Trace waterfall read API
externalDocs:
  url: https://interfere.com/docs
  description: Interfere Documentation
paths:
  /v3/releases/config:
    get:
      tags:
        - Releases
      summary: Resolve the surface a build-time key belongs to
      operationId: getReleasesConfig
      responses:
        '200':
          description: Surface and organization for this key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReleasesConfigResponse'
        '401':
          description: Missing or invalid secret key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyAuthProblem'
        '403':
          description: Secret key lacks the `release:write` scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiKeyScopeProblem'
      security:
        - apiKey: []
        - apiKeyHeader: []
components:
  schemas:
    ReleasesConfigResponse:
      type: object
      properties:
        surface:
          type: object
          properties:
            id:
              type: string
              format: uuid
            slug:
              type: string
              pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
            environmentFiltering:
              type: boolean
            sourceProvider:
              $ref: '#/components/schemas/ConfiguredSourceProvider'
            destinationProvider:
              $ref: '#/components/schemas/ConfiguredDestinationProvider'
            sdkConfig:
              type: object
              nullable: true
              properties:
                plugins:
                  type: object
                  properties:
                    errors:
                      type: boolean
                    device:
                      type: boolean
                    pageEvents:
                      type: boolean
                    rageClick:
                      type: boolean
                    replay:
                      type: boolean
                    logs:
                      type: boolean
                serverTracing:
                  type: string
                  enum:
                    - full
                    - drain
                logSourcing:
                  type: string
                  enum:
                    - sdk
                    - drain
          required:
            - id
            - slug
            - environmentFiltering
            - sourceProvider
            - destinationProvider
            - sdkConfig
        org:
          type: object
          properties:
            id:
              type: string
              format: uuid
            slug:
              type: string
              pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
          required:
            - id
            - slug
      required:
        - surface
        - org
      description: >-
        Surface and organization a build-time API key resolves to, with the
        source provider collapsed to the family the build tooling understands.
    ApiKeyAuthProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - AUTH_MISSING
            - AUTH_AK_INVALID
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code
    ApiKeyScopeProblem:
      type: object
      properties:
        code:
          type: string
          enum:
            - AUTH_AK_SCOPE_MISMATCH
        message:
          type: string
        service:
          type: string
          enum:
            - collector
            - gateway
            - operation
            - intelligence
      required:
        - code
    ConfiguredSourceProvider:
      type: string
      nullable: true
      enum:
        - github
        - ghe_cloud
        - ghe_server
        - null
      description: ConfiguredSourceProvider
    ConfiguredDestinationProvider:
      type: string
      nullable: true
      enum:
        - vercel
        - cloudflare
        - cli
        - null
      description: ConfiguredDestinationProvider
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Build-time secret key of the surface, as issued in the Interfere
        dashboard
    apiKeyHeader:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Build-time secret key of the surface, unwrapped; for clients that cannot
        set an Authorization header

````